webentwicklung-frage-antwort-db.com.de

Deinstallieren Sie eine bestimmte Version einer Bibliothek mit gem

Zum Beispiel habe ich die folgenden vier Versionen installiert:

capybara (2.2.1, 2.2.0.rc1, 2.1.0, 1.1.4)

Bitte schlagen Sie vor, wie das capybara version 1.1.4 deinstalliert werden soll

34
Prashanth Sams

Wenn Sie das tun gem uninstall capybara Es sollte ein Menü angezeigt werden, in dem Sie gefragt werden, welches Sie deinstallieren möchten.

Alternativ können Sie das -v Möglichkeit.

gem uninstall capybara -v 1.1.4

Beachten Sie, dass Sie diese Befehle möglicherweise verschieben müssen, wenn Sie rvm nicht verwenden.

71
Max Williams